Create or update Machine health report
Add or update health report override for a specific Machine.
For Infrastructure Providers: Org must have an Infrastructure Provider entity and own the Site that the Machine belongs to. User must have authorization role with PROVIDER_ADMIN suffix.
For Tenants: Org must have a Tenant with TargetedInstanceCreation capability enabled and Tenant Account with Machine’s Provider. User must have authorization role with TENANT_ADMIN suffix.
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
org
Name of the Org
machineId
ID of the Machine
Request
This endpoint expects an object.
source
Health report source.
mode
How updates to this health report should be handled
Allowed values:
successes
Results from successful health probes for the Machine.
alerts
Results from failed health probes for the Machine.
Response
OK
source
Health report source.
mode
How this health report was updated
Allowed values:
triggeredBy
Person or system that triggered this health report.
observedAt
Date/time when the health report was observed.
successes
Results from successful health probes for the Machine.
alerts
Results from failed health probes for the Machine.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error